Package com.artofsolving.jodconverter.openoffice.connection

# Class AbstractOpenOfficeConnection

java.lang.Object
com.artofsolving.jodconverter.openoffice.connection.AbstractOpenOfficeConnection

All Implemented Interfaces:
  `OpenOfficeConnection`, `com.sun.star.lang.XEventListener`, `com.sun.star.uno.XInterface`, `EventListener`

Direct Known Subclasses:
  `PipeOpenOfficeConnection`, `SocketOpenOfficeConnection`

public abstract class AbstractOpenOfficeConnection extends Object implements OpenOfficeConnection, com.sun.star.lang.XEventListener

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.slf4j.Logger`
`logger`

### Fields inherited from interface com.sun.star.lang.XEventListener

`UNOTYPEINFO`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractOpenOfficeConnection(String connectionString)`

## Method Summary

Modifier and Type
Method
Description
`void`
`connect()`
`void`
`disconnect()`
`void`
`disposing(com.sun.star.lang.EventObject event)`
`com.sun.star.bridge.XBridge`
`getBridge()`
`com.sun.star.uno.XComponentContext`
`getComponentContext()`
`com.sun.star.frame.XComponentLoader`
`getDesktop()`
`com.sun.star.ucb.XFileIdentifierConverter`
`getFileContentProvider()`
`com.sun.star.lang.XMultiComponentFactory`
`getRemoteServiceManager()`
`boolean`
`isConnected()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected final org.slf4j.Logger logger

## Constructor Details

### AbstractOpenOfficeConnection

protected AbstractOpenOfficeConnection(String connectionString)

## Method Details

### connect

public void connect() throws ConnectException

Specified by:
  `connect` in interface `OpenOfficeConnection`
Throws:
  `ConnectException`

### disconnect

public void disconnect()

Specified by:
  `disconnect` in interface `OpenOfficeConnection`

### isConnected

public boolean isConnected()

Specified by:
  `isConnected` in interface `OpenOfficeConnection`

### disposing

public void disposing(com.sun.star.lang.EventObject event)

Specified by:
  `disposing` in interface `com.sun.star.lang.XEventListener`

### getDesktop

public com.sun.star.frame.XComponentLoader getDesktop()

Specified by:
  `getDesktop` in interface `OpenOfficeConnection`
Returns:
  the com.sun.star.frame.Desktop service

### getFileContentProvider

public com.sun.star.ucb.XFileIdentifierConverter getFileContentProvider()

Specified by:
  `getFileContentProvider` in interface `OpenOfficeConnection`
Returns:
  the com.sun.star.ucb.FileContentProvider service

### getBridge

public com.sun.star.bridge.XBridge getBridge()

Specified by:
  `getBridge` in interface `OpenOfficeConnection`

### getRemoteServiceManager

public com.sun.star.lang.XMultiComponentFactory getRemoteServiceManager()

Specified by:
  `getRemoteServiceManager` in interface `OpenOfficeConnection`

### getComponentContext

public com.sun.star.uno.XComponentContext getComponentContext()

Specified by:
  `getComponentContext` in interface `OpenOfficeConnection`